(user_file)=
# User files

This appendix describes the external file formats used by THYRSIS to modify some properties of the hydrogeological model.
These formats are independents of the hydrogeological software used.
The units are from international system, that is : date in second, length in meter, infiltration and permeability in meter/second, mass in kg.

## u_epaisseur_zns.node.sat or u_epaisseur_zns.elem.sat

These files provide the thickness of the unsaturated zone at each node or element of the 2D mesh. They are useful to impose a different ZNS thickness field from the hydrogeological model.

They provide as many lines as nodes or elements (depending on the ".node" or ".elem" extension), with a thickness (in meter) on each line, ordered by node or element number.

Example:

```
27.6423
27.6636
27.6938
27.7452
27.7969
27.8473
27.9090
...
```

## u_permeabilite_zns.node.sat or u_permeabilite_zns.elem.sat

These files provide the permeability in the unsaturated zone at each node or element of the 2D mesh. They are useful to impose a ZNS permeability field. The default is to compute the ZNS columns permeability values from the saturated permeability field.

These files provide as many lines as nodes or elements (depending on the ".node" or ".elem" extension), with a permeability (in meter/second) on each line, ordered by node or element number.

Example:

```
0.10062337E-04
0.10151087E-04
0.10006153E-04
0.10216447E-04
0.10134652E-04
0.98510526E-05
0.10076285E-04
...
```

## u_infiltration.node.sat or u_infiltration.elem.sat

These files provide the infiltration of the permanent regime at each node or element of the 2D mesh. They should be used with caution, because they may lead to a inconsistency between simulated and modeled infiltration. They are mainly used to test the influence of a spatially heterogeneous infiltration.

These files provide as many lines as nodes or elements (depending on the ".node" or ".elem" extension), with a infiltration (in meter/second) on each line, ordered by node or element number.

Example:

```
2.98e-09
2.98e-09
2.98e-09
2.98e-09
2.98e-09
2.98e-09
...
```

## u_infiltration_transitoire.sat and u_infiltration_transitoire.insat

These files provide a time-dependent but spatially homogeneous infiltration and are required in case of a flow simulation in transient state regime, with the extension ".insat" when the unsaturated zone is taken into account, and the extension ".sat" if not. In order to obtain a relevant result, the resulting mean infiltration should be equal to the mean infiltration of the permanent regime.

The file format is presented in the exemple below. The date is given next to the entry "date" and the infiltration is given on the next line, with a negative sign corresponding to an input flow.

Example:

```
date  0.0000000E+00
-0.6498923E-08
date  0.2629800E+07
-0.1411746E-07
date  0.5259600E+07
-0.9015090E-08
...
```

## u_debit_entrant.sat

This file provides the chemical flow into the water table. It overwrites the "debit_entrant.sat" file automatically generated by THYRSIS.

The date is given next to the entry "date" and the chemical flows (kg/s) are given on the next lines, with a negative sign corresponding to an input flow and with a format depending on the software :

- OpenFOAM : The chemical flows are given for each injection cell and are preceded by the cell coordinates.
- METIS : The chemical flows are given for each injection node and are preceded by the node number.

OpenFOAM example:

```
date  3.155760e+05
637111.521 6847271.833 100 -2.514596e-16
637118.458 6847275.000 100 -3.023174e-16
637122.708 6847281.833 100 -1.394043e-17
637107.625 6847288.833 100 -8.280920e-19
637117.125 6847265.000 100 -2.757591e-17
...
date  6.311520e+05
637111.521 6847271.833 100 -2.859856e-16
637118.458 6847275.000 100 -3.438263e-16
637122.708 6847281.833 100 -1.585449e-17
637107.625 6847288.833 100 -9.417912e-19
637117.125 6847265.000 100 -3.136215e-17
...
date  9.467280e+05
637111.521 6847271.833 100 -2.860335e-16
637118.458 6847275.000 100 -3.438840e-16
637122.708 6847281.833 100 -1.585715e-17
637107.625 6847288.833 100 -9.419490e-19
637117.125 6847265.000 100 -3.136741e-17
...
```

METIS example:

```
date  3.155760e+05
17320  -4.832293e-16
11843  -2.915937e-16
1107  -5.763685e-16
17315  -5.149194e-16
...
date  6.311520e+05
17320  -5.993523e-16
11843  -3.616655e-16
1107  -7.148734e-16
17315  -6.386578e-16
...
date  9.467280e+05
17320  -5.992676e-16
11843  -3.616144e-16
1107  -7.147724e-16
17315  -6.385675e-16
...
```

## u_debit_entrant.insat\*

These files, whose names ended by the id number of the ZNS column, provide the chemical flow into the ZNS. They overwrite the "debit_entrant\*.insat" files automatically generated by THYRSIS.

The date is given next to the entry "date" and the chemical flow (kg/s) is given on the next line, with a negative sign corresponding to an input flow and with a format depending on the software :

- OpenFOAM : The chemical flow is preceded by the cell coordinates in case of deep injection, or by "top" in case of surface injection.
- METIS : The chemical flow is preceded by the node number of the ZNS column mesh.

OpenFOAM example (surface injection):

```
date 0.000000e+00
top -2.314815e-15
date 7.862400e+06
top -2.314815e-15
...
```

OpenFOAM example (deep injection):

```
date 0.000000e+00
0.5 0.5 146.675 -2.314815e-15
date 7.862400e+06
0.5 0.5 146.675 -2.314815e-15
...
```

METIS example:

```
date   0.0000000E+00
625   2.3148148E-15
date   7.8624000E+06
625   2.3148148E-15
...
```

## u_debit_eau_entrant.sat

This file provides the water flow into the water table. It overwrites the "debit_eau_entrant.sat" file automatically generated by THYRSIS.

The date is given next to the entry "date" and the water flows are given on the next lines, with a negative sign corresponding to an input flow and with a format depending on the software :

- OpenFOAM : The water flows are given in (m3/s) for each injection cell and are preceded by the cell coordinates.
- METIS : The water flows are given in (m/s) for each injection node and are preceded by the node number.

OpenFOAM example:

```
date 3.155760e+05
637111.521 6847271.833 100 -1.021677e-03
637118.458 6847275.000 100 -1.228312e-03
637122.708 6847281.833 100 -5.663981e-05
637107.625 6847288.833 100 -3.364528e-06
637117.125 6847265.000 100 -1.120406e-04
...
date 6.311520e+05
637111.521 6847271.833 100 -1.021858e-03
637118.458 6847275.000 100 -1.228529e-03
637122.708 6847281.833 100 -5.664982e-05
637107.625 6847288.833 100 -3.365123e-06
637117.125 6847265.000 100 -1.120604e-04
...
date 9.467280e+05
637111.521 6847271.833 100 -1.021913e-03
637118.458 6847275.000 100 -1.228596e-03
637122.708 6847281.833 100 -5.665289e-05
637107.625 6847288.833 100 -3.365305e-06
637117.125 6847265.000 100 -1.120665e-04
...
```

METIS example:

```
date 3.155760e+05
17320 -3.487842e-05 0
11843 -2.104659e-05 0
1107 -4.160100e-05 0
17315 -3.716574e-05 0
...
date 6.311520e+05
17320 -3.488461e-05 0
11843 -2.105032e-05 0
1107 -4.160838e-05 0
17315 -3.717234e-05 0
...
date 9.467280e+05
17320 -3.488655e-05 0
11843 -2.105150e-05 0
1107 -4.161070e-05 0
17315 -3.717441e-05 0
...
```
